[% IF dataset.size != 0 %]

[% IF dataset.size == 1 %]
[% page_title = "Ho trovato solo un formicaio." %]
<p>Se è quello che cercavi clicca sul suo cap, altrimenti puoi fare un'altra ricerca.</p>
[% ELSE %]
[% page_title = "Ci sono $dataset.size formicai che soddisfano i criteri di ricerca. " %]
<p>Questi sono i formicai che soddisfano i tuoi criteri.
Puoi cliccare su uno di questi oppure fare un'altra ricerca.</p>
[% END %]

[% 

    fields = [
      {
	db_name  => 'id',
	out_name => 'Cap:',
        pre_cell => '<a href="[' _ '% Catalyst.uri_for(\'/antnest/view_\') _ cur_cell  %' _ ']">',
        post_cell=> '</a>',
      },
      {
	db_name  => 'name',
	out_name => 'Nome:',
      },
      ];
%]

[% PROCESS sortable_dataset_table.tt %]

[% ELSE %]

[% IF current_ant_nest_id.length != 5 %]

[% page_title = "Non ci sono formicai nell'intervallo richiesto" %]

<p> Questo può anche dipendere da una ricerca troppo selettiva. Puoi
allargare la tua richiesta: per esempio, scrivendo solo "15" nella
casella di ricerca e premendo invio il sistema cercherà tutti i
formicai nei CAP da 15000 a 15999; se scrivi solo "1" cercherà i
formicai da 10000 a 19999 e così via...</p>

<p> <i>Suggerimento:</i> se lasci vuoto il campo di ricerca e premi
invio otterrai la lista di tutti i formicai nelle Bricioline </p>

[% ELSE %]

[% page_title = "Il formicaio $current_ant_nest_id non esiste ancora" %]

Mi dispiace il formicaio non esiste ancora.

[% END %]

[% END %]